device_type: juno-r2

job_name: juno-debian-nfs

timeouts:
  job:
    minutes: 30
  action:
    minutes: 5
  actions:
    u-boot-interrupt:
      seconds: 120
    u-boot-commands:
      seconds: 120
    uboot-retry:
      seconds: 180
  connections:
    u-boot-interrupt:
      seconds: 120
    u-boot-commands:
      seconds: 120
    uboot-retry:
      seconds: 180

priority: medium
visibility: public

actions:

- deploy:
    namespace: recovery
    timeout:
      minutes: 10
    to: vemsd
    recovery_image:
      url:  http://releases.linaro.org/members/arm/platforms/17.04/juno-latest-oe-uboot.zip
      compression: zip

- deploy:
    namespace: debian
    timeout:
      minutes: 2
    to: nfs
    os: debian
    nfsrootfs:
      url: http://images.validation.linaro.org/juno/debian-jessie-arm64-rootfs.tar.gz
      compression: gz

- boot:
    namespace: debian
    connection-namespace: recovery
    method: u-boot
    commands: norflash
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):~#

- test:
    namespace: debian
    connection-namespace: recovery
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-net.yaml
      name: smoke-tests-net
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tmp-disk
          description: "Mount local disk for tmp space"
        run:
          steps:
          - export STORAGE_DEV=$(lava-target-storage SATA || lava-target-storage USB)
          - test -n "${STORAGE_DEV}" || lava-test-raise "STORAGE_DEV not found; job exit"
          - echo "y" | mkfs -t ext4 ${STORAGE_DEV} || lava-test-raise "mkfs -t ext4 ${STORAGE_DEV} failed; job exit"
          - mkdir -p /scratch
          - mount ${STORAGE_DEV} /scratch && echo "mounted" || lava-test-raise "mount ${STORAGE_DEV} failed; job exit"
          - df -h
          - mount
      name: prep-tmp-disk
      path: inline/prep.yaml 
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
notify:
  criteria:
    status: incomplete
  recipients:
    - to:
        method: email
        email: lava-lab@linaro.org
  verbosity: verbose
